## smp_utils-0.94.tgz

=== Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

ifndef CC
CC = gcc
endif
LD = $(CC)

EXECS = smp_rep_general smp_rep_manufacturer smp_discover smp_phy_control \
	smp_rep_phy_err_log smp_rep_phy_sata smp_rep_route_info \
	smp_read_gpio smp_conf_route_info smp_write_gpio smp_phy_test \
	smp_discover_list smp_conf_general smp_rep_exp_route_tbl

MAN_PGS = smp_utils.8 smp_rep_general.8 smp_rep_manufacturer.8 \
	  smp_discover.8 smp_phy_control.8 smp_rep_phy_err_log.8 \
	  smp_rep_phy_sata.8 smp_rep_route_info.8 smp_read_gpio.8 \
	  smp_conf_route_info.8 smp_write_gpio.8 smp_phy_test.8 \
	  smp_discover_list.8 smp_conf_general.8 smp_rep_exp_route_tbl.8
MAN_PREF = man8

OS_FLAGS = -DSMP_UTILS_LINUX
LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
EXTRA_FLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)

INCLUDES = -I include

# may be overridden by 'make -e'
CFLAGS = -g -O2

# MY_CFLAGS = -Wall -W $(EXTRA_FLAGS)
MY_CFLAGS = -Wall -W $(EXTRA_FLAGS)
# MY_CFLAGS = -Wall -W -pedantic -std=c99 $(EXTRA_FLAGS)

CFLAGS_PTHREADS = -D_REENTRANT

LDFLAGS = 
# LDFLAGS = -v -lm

# $(SDIRS):
# 	set -e; for i in $(SDIRS); \
# 	do $(MAKE) -C $$i CFLAGS="$(CFLAGS)" ; done

.c.o:
	$(CC) $(INCLUDES) $(CFLAGS) $(MY_CFLAGS) -c -o $@ $<

all: sub_mpt sub_sas_tpl sub_sgv4 libsmp.a $(EXECS)

sub_mpt:
	cd mpt && $(MAKE)

sub_sas_tpl:
	cd sas_tpl && $(MAKE)

sub_sgv4:
	cd sgv4 && $(MAKE)

libsmp.a : sub_mpt sub_sas_tpl sub_sgv4 smp_lib.o smp_interface_sel.o
	ar r libsmp.a smp_lib.o smp_interface_sel.o mpt/smp_mptctl_io.o  \
	sas_tpl/smp_portal_intf.o sgv4/smp_sgv4_io.o

depend dep:
	cd mpt && $(MAKE) dep
	cd sas_tpl && $(MAKE) dep
	cd sgv4 && $(MAKE) dep
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	cd mpt && $(MAKE) clean
	cd sas_tpl && $(MAKE) clean
	cd sgv4 && $(MAKE) clean
	/bin/rm -f *.o $(EXECS) core* .depend *.a *.la *.lo
	/bin/rm -rf .libs
	/bin/rm -f build-stamp configure-stamp debian/files debian/smp-utils.substvars
	/bin/rm -rf debian/tmp debian/smp-utils

smp_rep_general: smp_rep_general.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_manufacturer: smp_rep_manufacturer.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_discover: smp_discover.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_phy_control: smp_phy_control.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_err_log: smp_rep_phy_err_log.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_sata: smp_rep_phy_sata.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_route_info: smp_rep_route_info.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_read_gpio: smp_read_gpio.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_route_info: smp_conf_route_info.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_write_gpio: smp_write_gpio.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_phy_test: smp_phy_test.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_discover_list: smp_discover_list.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_general: smp_conf_general.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_exp_route_tbl: smp_rep_exp_route_tbl.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 doc/$$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== sas_tpl/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

ifndef CC
CC = gcc
endif
LD = $(CC)

EXECS = smp_portal_intf.o expander_conf

OS_FLAGS = -DSMP_UTILS_LINUX
LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
EXTRA_FLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)

# CFLAGS = -O2 -Wall -W $(EXTRA_FLAGS)
CFLAGS = -g -O2 -Wall -W $(EXTRA_FLAGS)
# CFLAGS = -g -O2 -Wall -W -pedantic -std=c99 $(EXTRA_FLAGS)

LDFLAGS = 
# LDFLAGS = -v -lm

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) core* .depend *.a *.la *.lo
	/bin/rm -rf .libs

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
smp-utils (0.94-0.1) unstable; urgency=low

  * make sgv4 includes more robust for lk 2.6.27

 -- Douglas Gilbert <dgilbert@interlog.com>  Mon, 29 Dec 2008 12:30:00 -0500

smp-utils (0.93-0.1) unstable; urgency=low

  * add affiliation contexts (new in sas2r08), sync to sas2r12

 -- Douglas Gilbert <dgilbert@interlog.com>  Sun, 06 Jan 2008 11:00:00 -0500

smp-utils (0.92-0.1) unstable; urgency=low

  * sync against sas2r07, add smp_conf_general

 -- Douglas Gilbert <dgilbert@interlog.com>  Fri, 08 Dec 2006 13:00:00 -0500

smp-utils (0.91-0.1) unstable; urgency=low

  * add smp_phy_test and smp_discover_list, uniform exit status values

 -- Douglas Gilbert <dgilbert@interlog.com>  Tue, 22 Aug 2006 16:00:00 -0400

smp-utils (0.90-0.1) unstable; urgency=low

  * Initial release

 -- Douglas Gilbert <dgilbert@interlog.com>  Mon, 10 Jun 2006 19:00:00 -0400

=== debian/control ===
Source: smp-utils
Section: admin
Priority: optional
Maintainer: Douglas Gilbert <dgilbert@interlog.com>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: smp-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities that send a Serial Attached
 SCSI (SAS) Management Protocol (SMP) request to a SMP target.
 If the request fails then the error is decoded. If the request succeeds
 then the response is either decoded, printed out in hexadecimal or
 output in binary. This package supports multiple interfaces since
 SMP passthroughs are not mature. This package supports the linux
 2.4 and 2.6 series and should be easy to port to other operating
 systems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	PREFIX=/usr MANDIR=/usr/share/man $(MAKE) -e

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -e install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr

	dh_install --autodest --sourcedir=debian/tmp
	dh_installman

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
# nothing to do here

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a 
	dh_installmenu -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X archive -X .c -X .h
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
